<?php
header('Content-Type: application/json');
if(isset($_POST["accion"])){
  include('../../php/conn.php');
  if($_POST["accion"]=="iniciar"){
    if ($resultado = mysqli_query($enlace, "SELECT cod_usuario, u.cod_rol, nom_rol, nom_persona,ape_persona, est_usuario FROM tb_usuario AS u INNER JOIN tb_rol AS r ON u.cod_rol=r.cod_rol WHERE usu_usuario='".$_POST["usuario"]."' AND pas_usuario='".md5($_POST["clave"])."';")) {
      if (mysqli_num_rows($resultado) > 0) {
        while($row = mysqli_fetch_assoc($resultado)) {
          if($row["est_usuario"]=="1"){
            $auth = array(
              'id' => $row["cod_usuario"], 
              'nombre' => $row["nom_persona"]." ".$row["ape_persona"], 
              'idRol' => $row["cod_rol"], 
              'rol' => $row["nom_rol"]
            );
            $respuesta = array('status' => 1, 'mensaje' => 'El inicio de sesión fue exitoso.', 'auth' => $auth );
            echo json_encode($respuesta);
          }
          else{
            $respuesta = array('status' => 2, 'mensaje' => 'El usuario esta inactivo.' );
            echo json_encode($respuesta);
          }
        }
      }
      else{
        $respuesta = array('status' => 2, 'mensaje' => 'Usuario o clave erroneas.' );
        echo json_encode($respuesta);
      }
      mysqli_free_result($resultado);
    }
  }
  else{
  $respuesta = array('status' => 2, 'mensaje' => 'No existe variable POST iniciar.' );
    echo json_encode($respuesta);
  }
}
elseif(isset($_GET["accion"])){
  include('../../php/conn.php');
  if($_GET["accion"]=="listarencuestas"){
    $r = array();
    if ($resultado = mysqli_query($enlace, "SELECT surveyls_survey_id, surveyls_title FROM cela_surveys_languagesettings WHERE surveyls_survey_id IN (SELECT cod_survey FROM tb_usuario_survey WHERE cod_usuario=".$_GET["c"]." GROUP BY cod_survey);")) {
      if (mysqli_num_rows($resultado) > 0) {
        while($row = mysqli_fetch_assoc($resultado)) {
          array_push($r, $row);
        }
      }
      echo json_encode(array('filas'=>$r));
      mysqli_free_result($resultado);
    }
  }
  elseif($_GET["accion"]=="obtenerenlace"){
    $survey = $_GET["codigo"];
    $usuario = $_GET["usuario"];
    $token = "";
    $lang = "";

    if ($resultado = mysqli_query($enlace, "SELECT token, language FROM cela_tokens_".$survey." WHERE completed='N' AND tid IN (SELECT cod_token FROM tb_usuario_survey WHERE cod_survey=".$survey." AND cod_usuario=".$usuario.");")) {
      if (mysqli_num_rows($resultado) > 0) {
        while($row = mysqli_fetch_assoc($resultado)) {
          $token = $row["token"];
          $lang = $row["language"];
        }
      }
    }

    echo $dominio."/index.php/survey/index/sid/".$survey."/token/".$token."/lang/".$lang."/newtest/Y";
  }
  elseif($_GET["accion"]=="insertarubicacion"){
    $usuario = $_GET["usuario"];
    $latitud = $_GET["latitud"];
    $longitud = $_GET["longitud"];
    $encuesta = $_GET["encuesta"];

    if (mysqli_query($enlace, "INSERT INTO tb_ubicacion (usu_ubicacion, lat_ubicacion, lon_ubicacion, cod_encuesta) VALUES ('".$usuario ."', '".$latitud."', '".$longitud ."', '".$encuesta ."');")) {
      echo "OK";
    }
    else{
      echo "NO";
    }
  }
}
?>